<?php
$business_incubator_color_scheme_css = '';

$business_incubator_first_color = get_theme_mod('business_incubator_first_color');
$business_incubator_second_color = get_theme_mod('business_incubator_second_color');

/*------------------ Global First Color -----------*/

if ($business_incubator_first_color) {
  $business_incubator_color_scheme_css .= ':root {';
  $business_incubator_color_scheme_css .= '--first-theme-color: ' . esc_attr($business_incubator_first_color) . ' !important;';
  $business_incubator_color_scheme_css .= '} ';
}

/*------------------ Global Second Color -----------*/

if ($business_incubator_second_color) {
  $business_incubator_color_scheme_css .= ':root {';
  $business_incubator_color_scheme_css .= '--second-theme-color: ' . esc_attr($business_incubator_second_color) . ' !important;';
  $business_incubator_color_scheme_css .= '} ';
}

//---------------------------------Logo-Max-height--------- 
$business_incubator_logo_width = get_theme_mod('business_incubator_logo_width', 200);
if($business_incubator_logo_width != false){
    $business_incubator_color_scheme_css .='.business-incubator-logo img{';
      $business_incubator_color_scheme_css .='width: '.esc_html($business_incubator_logo_width).'px;';
    $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Woocommerce Product Image Border Radius -------------------*/

$business_incubator_woo_product_img_border_radius = get_theme_mod('business_incubator_woo_product_img_border_radius');
if($business_incubator_woo_product_img_border_radius != false){
    $business_incubator_color_scheme_css .='.woocommerce-shop.woocommerce .product-content .product-image img{';
    $business_incubator_color_scheme_css .='border-radius: '.esc_attr($business_incubator_woo_product_img_border_radius).'px;';
    $business_incubator_color_scheme_css .='}';
}  

/*--------------------------- Scroll to top positions -------------------*/

$business_incubator_scroll_position = get_theme_mod( 'business_incubator_scroll_position','Right');
if($business_incubator_scroll_position == 'Right'){
    $business_incubator_color_scheme_css .='#button{';
        $business_incubator_color_scheme_css .='right: 20px;';
    $business_incubator_color_scheme_css .='}';
}else if($business_incubator_scroll_position == 'Left'){
    $business_incubator_color_scheme_css .='#button{';
        $business_incubator_color_scheme_css .='left: 20px;';
    $business_incubator_color_scheme_css .='}';
}else if($business_incubator_scroll_position == 'Center'){
    $business_incubator_color_scheme_css .='#button{';
        $business_incubator_color_scheme_css .='right: 50%;left: 50%;';
    $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Footer background image -------------------*/

$business_incubator_footer_bg_image = get_theme_mod('business_incubator_footer_bg_image');
if($business_incubator_footer_bg_image != false){
    $business_incubator_color_scheme_css .='#footer{';
        $business_incubator_color_scheme_css .='background: url('.esc_attr($business_incubator_footer_bg_image).');';
        $business_incubator_color_scheme_css .= 'background-size: cover;';  
    $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Footer image position -------------------*/

$business_incubator_footer_img_position = get_theme_mod('business_incubator_footer_img_position','center center');
if($business_incubator_footer_img_position != false){
    $business_incubator_color_scheme_css .='#footer{';
        $business_incubator_color_scheme_css .='background-position: '.esc_attr($business_incubator_footer_img_position).';';
    $business_incubator_color_scheme_css .='}';
}	

/*--------------------------- Shop page pagination -------------------*/

$business_incubator_wooproducts_nav = get_theme_mod('business_incubator_wooproducts_nav', 'Yes');
if($business_incubator_wooproducts_nav == 'No'){
  $business_incubator_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
    $business_incubator_color_scheme_css .='display: none;';
  $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Related Product -------------------*/

$business_incubator_related_product_enable = get_theme_mod('business_incubator_related_product_enable',true);
if($business_incubator_related_product_enable == false){
  $business_incubator_color_scheme_css .='.related.products{';
    $business_incubator_color_scheme_css .='display: none;';
  $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Scroll to Top Button Shape -------------------*/

$business_incubator_scroll_top_shape = get_theme_mod('business_incubator_scroll_top_shape', 'circle');
if($business_incubator_scroll_top_shape == 'box' ){
    $business_incubator_color_scheme_css .='#button{';
        $business_incubator_color_scheme_css .=' border-radius: 0%';
    $business_incubator_color_scheme_css .='}';
}elseif($business_incubator_scroll_top_shape == 'curved' ){
    $business_incubator_color_scheme_css .='#button{';
        $business_incubator_color_scheme_css .=' border-radius: 20%';
    $business_incubator_color_scheme_css .='}';
}elseif($business_incubator_scroll_top_shape == 'circle' ){
    $business_incubator_color_scheme_css .='#button{';
        $business_incubator_color_scheme_css .=' border-radius: 50%;';
    $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Menu Typography -------------------*/

$business_incubator_theme_lay = get_theme_mod( 'business_incubator_menu_text_transform','Capitalize');
if($business_incubator_theme_lay == 'Uppercase'){
    $business_incubator_color_scheme_css .='.main-nav a{';
        $business_incubator_color_scheme_css .='text-transform: uppercase;';
    $business_incubator_color_scheme_css .='}';
}else if($business_incubator_theme_lay == 'Lowercase'){
    $business_incubator_color_scheme_css .='.main-nav a{';
        $business_incubator_color_scheme_css .='text-transform: lowercase;';
    $business_incubator_color_scheme_css .='}';
}
else if($business_incubator_theme_lay == 'Capitalize'){
    $business_incubator_color_scheme_css .='.main-nav a{';
        $business_incubator_color_scheme_css .='text-transform: capitalize;';
    $business_incubator_color_scheme_css .='}';
}

/*--------------------------- Post Layout -------------------*/

$business_incubator_blog_layouts = get_theme_mod('business_incubator_blog_layout_option_setting', 'Left');
if ($business_incubator_blog_layouts == 'Left') {
    $business_incubator_color_scheme_css .= '.postsec-list .listarticle{';
    $business_incubator_color_scheme_css .= 'text-align:left;';
    $business_incubator_color_scheme_css .= '}';
} elseif ($business_incubator_blog_layouts == 'Center') {
    $business_incubator_color_scheme_css .= '.postsec-list .listarticle{';
    $business_incubator_color_scheme_css .= 'text-align:center;';
    $business_incubator_color_scheme_css .= '}';
} elseif ($business_incubator_blog_layouts == 'Right') {
    $business_incubator_color_scheme_css .= '.postsec-list .listarticle{';
    $business_incubator_color_scheme_css .= 'text-align:right;';
    $business_incubator_color_scheme_css .= '}';
}